package cn.iocoder.yudao.module.system.service.elderly;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNursingLogDetailRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNursingLogPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNursingLogRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNursingLogSaveReqVO;

/**
 * 长者护理记录 Service
 */
public interface ElderlyNursingLogService {

    Long create(ElderlyNursingLogSaveReqVO createReqVO);

    void update(ElderlyNursingLogSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyNursingLogRespVO get(Long id);

    PageResult<ElderlyNursingLogRespVO> getPage(ElderlyNursingLogPageReqVO pageReqVO);

    ElderlyNursingLogDetailRespVO getDetailByElderId(Long elderId);
}

